
#ifndef true
#define true 1
#define false 0
#endif

#ifndef nil
#define nil 0L
#endif


#define ZERO 0.0
#define ONE 1.0
#define TWO 2.0
#define THREE 3.0
#define FOUR 4.0
#define EIGHT 8.0
#define HALF 0.5
#define QUARTER 0.25
#define SIXTH 0.166666666666666666667
#define THIRD 0.333333333333333
#define FOURTH 0.25000000000000
#define TWOTHIRD 0.666666666666667
#define FOURTHIRD 1.333333333333333
#define RMIN -1.0E20
#define RMAX 1.0E20
#define SMALL 1.0E-20
#define REALPI   (3.14159265358979323846)
#define REALPI2  (1.57079632679489661923)
#define SQRT3    (1.73205080756887719318)
#define SQRT2    (1.41421356237309514547)



typedef double  REAL;
typedef int  INT;
typedef void* PTR;
typedef INT (*PROC)();
typedef REAL (*REALPROC)();
typedef PTR (*PTRPROC)();
typedef void (*VOIDPROC)();



extern void *ZIBAlloc();
extern void ZIBFree();
extern REAL ZIBSeconds();
extern INT ZIBReadFile();
extern void ZIBStdOut();
extern PTR *GetElem();
extern  void ReturnElem();


extern char *kaskPath,*globBuf;
extern long allocMem;
extern INT goon;



